Page MenuHomePhabricator

Disable Compact Language Links on Russian Wikivoyage
Closed, ResolvedPublic

Description

We request disabling Compact Language Links on Russian Wikivoyage. This feature is not needed, because the number of inter-language links never exceeds 16, and some of the most relevant links are hidden by the system. The community discussion is here:
https://ru.wikivoyage.org/wiki/Wikivoyage:Пивная_путешественников#Compact_Language_Links_enabled_in_this_wiki_today
...and we are all quite sure that this feature is detrimental for the project. Please, disable it. Thank you!

Details

Related Gerrit Patches:
operations/mediawiki-config : masterFix Compact Language Links availability issue

Event Timeline

Atsirlin created this task.Jun 23 2016, 6:41 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 23 2016, 6:41 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptJun 23 2016, 7:31 PM
Krenair added a subscriber: Krenair.

I think this feature might be ULS-CompactLinks? Please correct if wrong. Thanks

Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptJun 23 2016, 7:31 PM

As the Wikivoyage discussion points to https://www.mediawiki.org/wiki/Universal_Language_Selector/Compact_Language_Links, yes, that's apparently well that feature.

Atsirlin triaged this task as Normal priority.Jul 5 2016, 10:22 AM

I am wondering what holds this change. The new feature has been introduced without community consensus (in fact, without even asking the community). The community is strongly against it, so the Compact Language Links feature must be disabled.

@Amire80 Feedback from your team would be welcome here.

Dereckson raised the priority of this task from Normal to Needs Triage.

So current configuration is:

wmf-config/CommonSettings.php
// Compact Language Links as Beta feature
$wgULSCompactLanguageLinksBetaFeature = $wmgULSCompactLanguageLinksBetaFeature;
$wgULSCompactLinksEnableAnon = $wmgULSCompactLinksEnableAnon;
$wgULSCompactLinksForNewAccounts = $wmgULSCompactLinksForNewAccounts;
$wgDefaultUserOptions['compact-language-links'] = 1;

For the wikivoyage dblist:

wmf-config/InitialiseSettings.php
'wmgULSCompactLanguageLinksBetaFeature' => [
    'default' => true,
    []
    'wikivoyage' => false,
    []
], 

// Whether Compact Links is enabled for new accounts *by default* 
'wmgULSCompactLinksForNewAccounts' => [ 
    'default' => false, 
], 
 
// Whether Compact Links is enabled for anonymous users *by default* 
'wmgULSCompactLinksEnableAnon' => [ 
    'default' => false, 
],

That means for ru.wikivoyage:

$wgULSCompactLanguageLinksBetaFeaturefalse
$wgULSCompactLinksEnableAnonfalse
$wgULSCompactLinksForNewAccountsfalse
$wgDefaultUserOptions['compact-language-links'] 1

This 1 seems pretty incoherent with $wgULSCompactLinksForNewAccounts.

Change 298133 had a related patch set uploaded (by Dereckson):
Fix Compact Language Links availability issue

https://gerrit.wikimedia.org/r/298133

Change 298133 abandoned by Dereckson:
Fix Compact Language Links availability issue

Reason:
Configuration comments should be updated to reflect the feature is in prod, not beta anymore, but this fix is so not needed.

https://gerrit.wikimedia.org/r/298133

Erratum

The previous comment, subtask and commit were made on the basis of the wrong hypothesis the feature was still beta. This hypothesis was derived from the current state of the CommonSettings.php code comments.

Current state of deployment

So, currently, the configuration is as expected by the language engineering team.

T136677 makes a roadmap of the deployment to all the wikis.

Major drawback of your request

As such, your request will get a major drawback: it will break UI consistency across projects.

The discussion you had about this feature didn't adress the consitency across projects.

Actually, based on an automated translation, which isn't the ideal thing, I've the impression we've disparate opinions nothing must change. Especially the « Категорически против любых улучшений-безделушек, а также проекции википедийных проблем на прочие проекты, в которых их нет. » part.

May I suggest configuration requests should be based on problems you're trying to solve and not principled opposition to any UI change?

To process this request

  1. I would like feedback from the language engineering team about your objection "this is not needed if there isn't never more than 16 links".
  2. Once we have this feedback, a new discussion should take place on ru.wikivoyage, to address explicitly the language engineering team reply and the willingness to introduce UI incoherence among Wikimedia projects.
Dereckson triaged this task as Low priority.Jul 9 2016, 1:09 PM

[ Setting priority to low as a discussion process must take place, and the first realistic next target deployment window for this change will be the week of July 18. ]

  1. User interface will not be affected. It will be just more simple and straight-forward without this feature.
  1. Why should we address the consistency between different projects? We don't tell other projects what they should do, and we don't want other people to impose their views on our project.
  1. If you think that some questions have not been resolved in the Village Pump discussion, please, post your questions there (we can all read English, that's no problem at all). So far I simply don't understand which extra questions we should address, and why. Therefore, I would insist that Compact Language Links should be disabled ASAP per the community's decision.

PS.

Категорически против любых улучшений-безделушек, а также проекции википедийных проблем на прочие проекты, в которых их нет

should be read as

I am strongly against any meaningless "improvements" and against transferring problems of Wikipedia onto other projects where such problems do not exist.

As you see, there is no principal opposition to the UI changes, but there is strong view against those changes that are irrelevant to the project.

Hi,

Sorry about the late response—I took me a bit of time to collect and process all the relevant data.

The reason for introducing Compact Language Links is to make languages easier for all users to find. According to our research and common design guidelines (see the FAQ), we found that the optimal number beyond which users did not prefer the language list to grow was 9.

The languages are customized for each user according to what this particular user is most likely to be able to read. The choices are made in the following order:

  • The languages that the user previously selected, so the list is continuously adapted to what every person actually uses.
  • The languages of the user’s browser and operating system.
  • The languages of the user’s country, according to the CLDR territory-language information.
  • As a fallback, other common world languages according to number of speakers.

In the discussion in the Russian Wikivoyage you give the following examples of links that should have appeared, but didn’t:

  • A link to Dutch from the page about Moscow didn’t appear even though it is a featured page in Dutch.
  • A link to Ukrainian didn’t appear at the page about Ukraine.

We plan to make several changes soon, and they will address both of these scenarios: we shall show links to languages in which there are featured pages (T70071) or which are related to the page’s subject (T70077), according to your suggestions. We are planning both changes for a subsequent development cycle.

As I wrote, our main goal with this feature is to make Wikimedia projects easier to navigate for people who speak different languages. Since the day this feature has been available, we have been closely monitoring the use of the interlanguage links and so far we have seen that users have been clicking through them with no decrease in use, and in the Russian Wikivoyage, the percentage even increased. Before the deployment of the feature, in the English Wikivoyage the number of clicks per visit was between 0,2599% and 0,5364% per week with an average of 0,2599%, and in the Russian Wikivoyage was between 0,0255% and 0,0503% with an average of 0,0255%. In the week after the deployment it was 0,2796% in English, which is slightly above the average, and 0,1728% in Russian—which is much higher than the average.

Editors who find the Compact Language Links uncomfortable may disable the feature in the preferences. This feature was designed with all the users of Wikimedia projects in mind—both readers and editors, including anonymous users. We would like to request you to try this out and let us know how we can improve it further for everybody.

We welcome your further feedback!

@Amire80: thank you for your detailed response. However, I disagree with most of the points that you made:

  1. When the average value equals the bottom value, you don't have proper statistics. The sudden 7-fold increase of clicks on Russian Wikivoyage tells you that clicks (like any statistics in this project) are heavily influenced by a few active contributors. Of course, they checked interlanguage links more actively after the new feature was introduced, but this does not tell you anything about the efficiency of this feature. You have perhaps looked at the statistics for bigger Wikipedia projects, where the numbers should be at least representative, but the performance of big projects does not (or at least should not) tell us how to deal with the smaller projects.
  1. I could not find any factual report of "our research" that is constantly referred to, but in any case this research has to be performed for Wikipedia and Wikivoyage independently. Selecting 9 languages out of 100+ is not the same thing as selecting 9 languages when you have not more than 16 languages in total. I would like to see an explicit test of whether people want to see only 9 languages out of 16 (or, even more ridiculously, only 9 languages out of 10), or they are fine with seeing them all.
  1. Languages with featured pages and languages related to the page topic do not cover all situations that should be covered. Mallorca and Canary Islands are extremely popular among German tourists and thus will have decent content in German. How would the system know that links to German articles should be shown for such destinations? Same thing for Tallinn and Riga, where travel guides written in Russian are likely to be useful, but Russian is not an official language in any of these countries.
  1. In Wikivoyage, we have 7 out of 17 language versions that are moribund, with zero contributors making 100+ edits per month. The only hope of re-invigorating these projects is finding 1-2 active speakers who will be interested in keeping the project alive. How are such editors found? My own way 7 years ago was from English Wikivoyage (Wikitravel at that time) following an interwiki link. Now this link is hidden, and so what?

And two points that are more general:

  1. Our strong opposition to this feature is related to the fact that a solution that is probably good for Wikipedia was carelessly transferred to Wikivoyage, which is a smaller project with its own quirks and peculiarities. Nobody bothered to study what happens on Wikivoyage, or at least inform the community of what is going on and ask for our feedback before this change has been applied.
  1. Since Phabricator is not the right place for such a discussion, I copy this to Russian Wikivoyage and kindly invite Amire80 to come and defend his points there.

Guys, this is really a problem. We have 17 interwiki only.
And if I read voy:uk:Антверпен and do not see link voy:nl:Antwerpen (stad) - it is absurd.

Guys, this is really a problem. We have 17 interwiki only.
And if I read voy:uk:Антверпен and do not see link voy:nl:Antwerpen (stad) - it is absurd.

If someone added traditional on-wiki interwiki links such as [[fi:(something)]], [[hu:(something)]], [[ja:(something)]], [[ko:(something)]], ..., then it may be over 17

@Liuxinyu970226: Wikivoyage has 17 language versions altogether, so the number of interwiki links *never* exceeds 16.

Hi All! Please, tell me, what can I do to disable this "Compact Language Links" anywhere on any Wikimedia project. Because it definitely paralyses my work with them. It paralyses my work not only as Wikimedia project editor, but paralyses my work with all Wikimedia projects as sources of information anywhere outside of WMF. If You can't offer me, any usable solution, please tell me, where else could I defense my rights to non impeded information from any Wikimedia project as source. Thanks for answer.

@Kusurija The only one possibility is to turn off it at all WMF wikis individually. There isn't something like global settings, sorry for it.

But I don't know why it is paralysing your work with WMF's projects. Could you explain to me?

Kusurija added a comment.EditedJul 16 2016, 10:25 AM

Because I'm working with cs,wictionary, on dictionaries out of WMF, themes, where I gather information from any site of WMF projects (so languages in use, where I gather info is about 70 (seventy, not seven). Most often languages I use, besides my motherlanguage Czech is samogitian, lithuanian, japanese, russian, byelorussian, ukrainian, polish, slovak, english, lettonian, latgalian, latin, chinese (Kantonese), slovene, bulgarian, macedonian, greece, swedish, african, neederlandese, vietnamese, hindi, kannadian, georgian, german, french, italian, spain, romanian, portuguese, ... ... And how i can switch out it?

I asked on IRC for another solutions. I'll notify you when I'll know something more.

Should I remove it on all about 750 projects of WMF? I tried it, it takes about 2.5 minutes or more for each, It means about more than 3000 minutes it is 50 hours (some of projects takes time to first find/load them), it is more, than entire 2 days or more, than a week of workhours. Why I am banned to work such nonsense work?!

You could copy https://cs.wikipedia.org/wiki/Wikipedista:Martin_Urbanec/Random_notes/Compact_language_links_turn_off.js to your global.js subpage on meta and then visit every WMF wiki. It should disable the feature and notify you about it.

Kde najdu to Cache na této mojí stránce:
https://meta.wikimedia.org/wiki/User:Kusurija/global.js ?? Nikde ho nemohu
najít, nemám k tomu ze svého prohlížeče Mozzila Firefox přístup...

Translation: Where can I find cache at my page https://meta.wikimedia.org/wiki/User:Kusurija/global.js ? I can't find it, I have no access to it from my browser (Mozilla Firefox).

@Kusurija: Pokud by to nefungovalo, stiskněte Ctrl+R anebo Ctrl+F5 (tím se vyprázdní cache). Při návštěvě každé wiki by se compact language links měl automaticky vypnout, tedy by Vás nic nemělo paralyzovat.

Translation of my reply: If it won't work please hit Ctrl+R or Ctrl+F5 (it'll clear the cache). When you'll first visit a wiki compact language links will be automaticlly turned off so nothing will paralyse you.

Cs: Funguje to?

En: Does it work?

Aklapper added a comment.EditedJul 16 2016, 8:25 PM

@Kusurija:
[en] This task is about disabling Compact Language Links by default on Russian Wikivoyage.
Could you bring up your topic on https://www.mediawiki.org/wiki/Talk:Universal_Language_Selector/Compact_Language_Links please, where it is better suited? Thanks for your understanding!

[cs] Muzes prosim diskutovat na https://www.mediawiki.org/wiki/Talk:Universal_Language_Selector/Compact_Language_Links , protoze tento task je o ruske Wikivoyage? Diky moc!

You are welcome to transfer it Yourself, because i'm not familiar with
editing on phabricator.wikimedia enough to do it myself. Thank You. (If You
can, transfer the answers too.). Yours sincerely kusurija

@Urbanecm: I confirm that this patch does not work, and I second Kusurija's question. It is highly relevant to this thread.

By the way: this nonsense works for non-logged. It is illegitimate censoring, as most of non-logged users does NOT understand, what it means, and does NOT see languages relevant for them. Is there any authority, superiot to authors of this nonsense, who could put them in order??

@Atsirlin It must be inserted at meta to https://meta.wikimedia.org/wiki/User:Atsirlin/global.js for you and I can't see it there (and no delete log present). Then it should automatically turn off at all WMF wikis when you'll first visit them.

@Kusurija @Atsirlin I've moved this discussion to https://www.mediawiki.org/wiki/Topic:T7vy5azvxuf9vuc5 , please continue there. Thanks.

@Liuxinyu970226: Wikivoyage has 17 language versions altogether, so the number of interwiki links *never* exceeds 16.

I have to invite @zhuyifei1999 to confirm something that happened on this page, since I doubt if this can be confirmed without sysop permission.

Dereckson added a comment.EditedJul 28 2016, 3:54 PM

@Atsirlin Does ru.wikivoyage community is now happy with the workaround allowing individual contributors to set preferences on every wikis?

Atsirlin closed this task as Resolved.Jul 28 2016, 4:00 PM

@Dereckson: what do you mean? We asked to disable CLL as default setting and make it optional for registered users. This has been done, and we are happy with the current situation. However, it was not clear to me whether this solution is final.

Okay, that's what I wanted to known, an update of the situation. Thanks for the update.

jeblad added a subscriber: jeblad.Aug 19 2016, 4:58 PM

Would it be an idea to set a limit where CLL does not open at all? I would say a limit on 15-20-25 links? It does not make sense to make an additional navigational layer if the number of links are so low that it can be easily navigated by "visual memory".

Yes, it would be a very natural solution

Stryn added a subscriber: Stryn.Nov 28 2017, 7:57 PM